body {
  height: 100vh;
  overflow: hidden;
  --icon_radius: 16px;
  --icon_size: 60px;
  --icon_gap_x: 30px;
  --icon_gap_y: 30px;
  --icon_opacity: 1;
  --icon_name_size: 12px;
  --icon_name_color: #fff;
  --wall_mask: 0;
  --wall_blur: 2px;
}

img {
  width: 100%;
  height: 100%;
}

input,
textarea {
  outline: none;
  border: none;
  background-color: transparent;
  font-family: inherit;
}

.scroll {
  overflow: hidden auto;
  height: 100%;
}

.scroll::-webkit-scrollbar {
  width: 2px;
  height: 2px;
}

.scroll::-webkit-scrollbar-thumb {
  background: silver;
  border-radius: 2px;
}

.sortable-fallback {
  opacity: 0.4 !important;
}

.wallpaper {
  z-index: -1;
  position: absolute;
  inset: 0px;
  transition: background 0.3s ease 0s, transform 0.3s ease 0s;
  background-size: cover;
  background-image: url("https://www4.bing.com//th?id=OHR.WaitangiFjordlandNP_ZH-CN9436140228_1920x1080.jpg&rf=LaDigue_1920x1080.jpg&pid=hp");
}

aside .icon,
.add-page .icon {
  height: 18px;
  width: 18px;
  line-height: 18px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  fill: currentcolor;
  transition: transform .2s;
  background-repeat: no-repeat;
}

aside nav>div:hover .icon {
  transform: scale(1.2);
}

aside {
  animation: 0.2s ease 0s 1 normal none running fadeIn-26ca13e3;
  position: fixed;
  z-index: 2;
  top: 0px;
  left: 0px;
  bottom: 0px;
  transition: all 0.1s ease 0s;
  text-align: center;
  font-size: 12px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 50px;
  backdrop-filter: blur(4px);
  background-color: rgba(34, 34, 34, 0.1);
}

aside header img {
  width: 30px;
  height: 30px;
  border-radius: 50%;
  object-fit: cover;
}

.icon.home {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M976.21333333 409.6L580.26666667 75.09333333c-37.54666667-32.42666667-93.86666667-32.42666667-131.41333334 0L47.78666667 409.6c-8.53333333 6.82666667-13.65333333 15.36-13.65333334 27.30666667 0 18.77333333 15.36 34.13333333 34.13333334 34.13333333 8.53333333 0 17.06666667-3.41333333 22.18666666-8.53333333L102.4 452.26666667v380.58666666c0 76.8 58.02666667 139.94666667 131.41333333 139.94666667h556.37333334C861.86666667 972.8 921.6 909.65333333 921.6 832.85333333V452.26666667l10.24 8.53333333c6.82666667 5.12 13.65333333 8.53333333 23.89333333 8.53333333 18.77333333 0 34.13333333-15.36 34.13333334-34.13333333 0-8.53333333-5.12-18.77333333-13.65333334-25.6zM443.73333333 904.53333333V665.6c0-18.77333333 15.36-34.13333333 34.13333334-34.13333333h68.26666666c18.77333333 0 34.13333333 15.36 34.13333334 34.13333333v238.93333333H443.73333333z m409.6-71.68c0 39.25333333-29.01333333 71.68-64.85333333 71.68H648.53333333V665.6c0-56.32-46.08-102.4-102.4-102.4h-68.26666666c-56.32 0-102.4 46.08-102.4 102.4v238.93333333H235.52c-35.84 0-64.85333333-32.42666667-64.85333333-71.68V395.94666667L491.52 128c11.94666667-10.24 30.72-10.24 44.37333333 0L853.33333333 394.24v438.61333333z'/></g></svg>");
}

.icon.code {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M297.4 233.4c-12.50000001-12.50000001-32.8-12.50000001-45.30000001 0L18.69999999 466.69999999C6.69999999 478.8 0 494.89999999 0 512c0 17.10000001 6.70000001 33.2 18.70000001 45.30000001l233.39999998 233.39999998c6.2 6.2 14.4 9.4 22.60000002 9.40000002s16.4-3.10000001 22.6-9.4c12.50000001-12.50000001 12.50000001-32.8 0-45.30000001L64 512l233.4-233.4c12.50000001-12.50000001 12.50000001-32.70000001 0-45.2zM1005.30000001 466.69999999L771.90000001 233.4c-12.50000001-12.50000001-32.8-12.50000001-45.30000001 0s-12.50000001 32.8 0 45.30000001L960 512 726.70000001 745.4c-12.50000001 12.50000001-12.50000001 32.8-2e-8 45.30000001 6.2 6.2 14.4 9.4 22.6 9.4s16.4-3.10000001 22.6-9.4l233.40000002-233.40000002c24.90000001-25 24.90000001-65.6-2e-8-90.59999998zM616.4 129.09999999c-17.10000001-4.70000001-34.6 5.4-39.30000001 22.50000001l-191.99999998 704c-4.6 17.10000001 5.4 34.6 22.49999999 39.30000001 2.8 0.8 5.70000001 1.10000001 8.4 1.09999999 14.10000001 0 27-9.4 30.89999999-23.6l192.00000002-704c4.6-17-5.4-34.6-22.50000001-39.30000001z'/></g></svg>");
}

.icon.app {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M544 552.32512v247.67488A32 32 0 0 1 512 832a31.37536 31.37536 0 0 1-32-32V552.32512L256 423.03715555a32 32 0 0 1-11.52568889-43.51203555 31.36284445 31.36284445 0 0 1 43.52568889-11.52568889L512 496.00056889l222.07488-128a31.36284445 31.36284445 0 0 1 43.52455111 11.52568889 31.98748445 31.98748445 0 0 1-11.52455111 43.51317333l-222.07488 128z m0 0'/><path d='M64 256v512L512 1024l448-256V256L512 0zM896 736L512 960 128 736v-448L512 64l384 224z m0 0'/></g></svg>");
}

.icon.zan {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M604.11173013 37.9121344c-51.35859947 0-96.1387744 35.09872107-105.5581952 84.7334144 0 0-15.2669088 77.74125227-23.25203946 105.69610773-13.12926613 46.07655253-59.05411413 97.0076224-92.2910176 113.26750187-25.1000672 12.4121216-118.39784533 12.55003413-124.1074208 12.55003307H131.95464c-34.94701653 0-63.34319147 28.24447147-63.34319253 63.34319253v506.69037013c0 34.94701653 28.24447147 63.34319147 63.34319253 63.34319147h584.56953493c94.00113173 0 173.89381867-68.74936 187.87814187-161.75752107l48.93133973-326.09400746c11.55706347-76.5965792-47.78666667-145.35973013-125.25209386-145.35973014H684.00441707s21.40401387-70.90079467 32.2439328-190.5812256c5.41995947-60.6263168-37.5121888-118.39784533-100.56576427-124.96247786-3.8615488-0.579232-7.70930667-0.868848-11.57085547-0.86884907zM321.81872107 924.04105067V415.5026528c41.51165013-2.70308373 71.46623573-8.5505728 89.14661226-17.40455147 46.6419936-23.114128 106.27533973-86.44352853 125.1003904-152.62771733 8.4264512-29.52705707 22.824512-102.56549547 24.53462614-111.1298592 3.70984533-19.11466667 21.96945493-33.2369024 43.3596768-33.2369024 1.71011413 0 3.42022933 0.13791253 5.14413546 0.28961707 30.09249813 3.14440427 46.21446507 31.67849173 44.07682134 56.19932586-9.98486187 110.84024213-29.67876053 177.60366293-29.95458667 178.03119254l-24.67253867 81.58901013h229.52770454c18.68713813 0 35.8020736 7.8472192 48.07628266 21.96945387 12.27420907 14.12223573 17.40455253 32.2439328 14.54976427 50.7931584L841.91418133 816.05559573c-9.4194208 62.47434347-62.06060587 107.8337504-125.25209386 107.83375147h-394.8433664v0.15170347z m-189.86408107 0v-506.69037014h126.53467947v506.69037014H131.95464z m0 0'/></g></svg>");
}

.icon.game {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M1003.52 499.2c-28.16-256-148.48-345.6-250.88-345.6-38.4 0-66.56 15.36-92.16 30.72-30.72 20.48-69.12 40.96-148.48 40.96-79.36 0-117.76-23.04-151.04-40.96-25.6-15.36-51.2-30.72-92.16-30.72-102.4 0-222.72 92.16-250.88 345.6C0 683.52 10.24 788.48 56.32 839.68 74.24 860.16 99.84 870.4 128 870.4c69.12 0 110.08-43.52 153.6-87.04l46.08-46.08c43.52-38.4 87.04-43.52 128-43.52h84.48c46.08 0 99.84-2.56 151.04 43.52 17.92 15.36 33.28 30.72 48.64 46.08 43.52 43.52 81.92 87.04 153.6 87.04 28.16 0 53.76-10.24 74.24-33.28 46.08-48.64 56.32-153.6 35.84-337.92zM921.6 798.72c-7.68 7.68-15.36 12.8-25.6 12.8-43.52 0-69.12-28.16-107.52-69.12-15.36-15.36-30.72-33.28-48.64-48.64-58.88-53.76-117.76-58.88-168.96-58.88H486.4c-51.2 0-122.88-2.56-194.56 58.88-17.92 17.92-35.84 33.28-51.2 51.2-38.4 40.96-64 66.56-107.52 66.56-10.24 0-20.48-2.56-25.6-12.8C87.04 775.68 66.56 704 87.04 506.88c23.04-215.04 112.64-291.84 189.44-291.84 20.48 0 38.4 10.24 58.88 23.04 38.4 23.04 84.48 51.2 181.76 51.2s145.92-28.16 181.76-51.2c23.04-12.8 38.4-23.04 58.88-23.04 76.8 0 163.84 76.8 189.44 291.84 17.92 197.12-2.56 266.24-25.6 291.84z'/><path d='M803.84 368.64c0 25.6-20.48 46.08-46.08 46.08s-46.08-20.48-46.08-46.08 20.48-46.08 46.08-46.08 46.08 20.48 46.08 46.08z m0 189.44c0 25.6-20.48 46.08-46.08 46.08s-46.08-20.48-46.08-46.08S732.16 512 757.76 512c25.6-2.56 46.08 20.48 46.08 46.08z m46.08-48.64c-25.6 0-46.08-20.48-46.08-46.08s20.48-46.08 46.08-46.08S896 437.76 896 463.36c2.56 25.6-20.48 46.08-46.08 46.08z m-186.88 0c-25.6 0-46.08-20.48-46.08-46.08s20.48-46.08 46.08-46.08 46.08 20.48 46.08 46.08-20.48 46.08-46.08 46.08z m-271.36-76.8h-79.36v-79.36c0-17.92-12.8-30.72-30.72-30.72s-30.72 12.8-30.72 30.72v79.36h-79.36c-17.92 0-30.72 12.8-30.72 30.72s12.8 30.72 30.72 30.72h79.36v79.36c0 17.92 12.8 30.72 30.72 30.72s30.72-12.8 30.72-30.72v-79.36h79.36c17.92 0 30.72-12.8 30.72-30.72s-15.36-30.72-30.72-30.72z'/></g></svg>");
}

.icon.xin {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1127 1024'><g fill='white'><path d='M747.97511111 162.11968c0 11.48017778 8.61070222 28.70158222 28.70158222 28.70158222 66.01272889 0 100.45553778 40.18289778 120.54641778 97.58378667 5.74008889 17.22140445 20.09088 25.83096889 37.31228444 22.96149333 14.34965333-2.87061333 28.70158222-17.22140445 25.8309689-34.44167111v0c-17.22140445-83.23413333-88.97536-157.85756445-180.81905778-149.24686222-17.22140445 2.87061333-34.44167111 11.48017778-31.57105778 34.44167111zM584.37859555 153.51011555c8.60956445 0 14.34965333-5.74008889 25.8309689-17.22140444l20.09088-17.22140444c100.45553778-94.71431111 252.57301333-103.32501333 347.28846222-2.87061334 249.7024 255.44248889-189.42976 648.6528-370.24881778 757.71676445-5.74008889 8.60956445-14.34965333 11.48017778-22.96149334 11.48017777-8.61070222 0-17.22140445-2.87061333-22.96149333-11.48017777-180.81905778-109.06396445-619.95121778-502.27541333-370.24881777-757.71676445 94.71431111-100.45553778 246.83292445-91.84483555 347.28732444 2.87061334l20.09088 17.22140444c11.48017778 11.48017778 17.22140445 17.22140445 25.83096889 17.22140444zM1020.64014222 76.01493333c-117.67580445-123.41589333-312.84565333-120.54641778-436.26268444-5.74008888-123.41589333-114.80519111-318.58574222-117.67580445-436.26268445 5.74008888-275.53450667 281.27345778 134.89720889 697.44526222 404.69048889 858.17230222 8.60956445 5.74008889 20.09088 8.60956445 31.57105778 8.60956445 11.48017778 0 22.96149333-2.87061333 31.57105778-8.60956445 269.79441778-160.72817778 680.22385778-576.89884445 404.69048889-858.17230222z'/></g></svg>");
}

.icon.shop {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M937.36504889 917.69211259l-51.39721481-547.03141926c-4.41761185-49.57677037-45.28052148-86.96869925-95.0393363-86.96869925H716.86068148V207.13623703C716.86068148 94.17159111 624.96464592 2.27555555 512 2.27555555s-204.86068148 91.89603555-204.86068148 204.86068148v76.55575705h-74.03140741c-49.78308741 0-90.64599703 37.39192889-95.03933629 86.8109274L86.62281482 917.86202075c-2.35444148 26.60276148 6.62641778 53.16911408 24.66095407 72.87845925 18.0345363 19.69720889 43.67853037 30.99610075 70.37838222 30.99610075h660.66356148c26.72412445 0 52.38025482-11.29889185 70.41479111-31.02037334 18.0224-19.70934518 27.01539555-46.26356148 24.62454519-73.02409482zM512 68.04214518c76.6892563 0 139.09409185 62.40483555 139.09409185 139.09409185v76.55575705H372.91804445V207.13623703c0-76.6892563 62.39269925-139.09409185 139.08195555-139.09409185z m352.20745482 878.27949037c-5.67978667 6.2137837-13.43488 9.63621925-21.86960593 9.63621927H181.67428741c-8.41045333 0-16.18981925-3.42243555-21.86960593-9.62408297-5.67978667-6.2137837-8.39831703-14.27228445-7.67013926-22.48855703l51.4336237-547.35909927c1.35926518-15.40096 14.06596741-27.02753185 29.53974519-27.02753185h557.80845037c15.46164148 0 28.1683437 11.61443555 29.53974519 27.18530371l51.39721481 547.04355556c0.76458667 8.38618075-1.96608 16.42040889-7.64586666 22.63419258z'/><path d='M308.75344592 472.90898963a46.90678518 46.90678518 0 1 0 93.81357038 0 46.90678518 46.90678518 0 1 0-93.81357038 0zM668.35190518 426.01434075c-25.8988563 0-46.90678518 20.99579259-46.90678518 46.90678517s20.99579259 46.90678518 46.90678518 46.90678519c25.8988563 0 46.90678518-20.99579259 46.90678519-46.90678519s-21.00792889-46.90678518-46.90678519-46.90678517z'/></g></svg>");
}

.icon.music {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M512 32a480 480 0 0 1 239.552 896H960v64H512a480 480 0 0 1 0-960z m0 64a416 416 0 1 0 0 832 416 416 0 0 0 0-832z m0 512a128 128 0 1 1 0 256 128 128 0 0 1 0-256z m0 64a64 64 0 1 0 0 128 64 64 0 0 0 0-128zM288 384a128 128 0 1 1 0 256 128 128 0 0 1 0-256z m448 0a128 128 0 1 1 0 256 128 128 0 0 1 0-256z m-448 64a64 64 0 1 0 0 128 64 64 0 0 0 0-128z m448 0a64 64 0 1 0 0 128 64 64 0 0 0 0-128zM512 160a128 128 0 1 1 0 256 128 128 0 0 1 0-256z m0 64a64 64 0 1 0 0 128 64 64 0 0 0 0-128z'/></g></svg>");
}

.icon.keji {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1068 1024'><g fill='white'><path d='M553.24 778.224h-0.05c-7.99 0-16.093-0.08-24.08-0.231-139.473-2.679-270.493-28.227-368.939-71.938C55.613 659.625-1.267 597.068 0.022 529.92c1.252-65.252 57.605-124.407 158.69-166.561 94.734-39.506 220.97-61.264 355.443-61.264 7.972 0 16.073 0.077 24.073 0.226 139.475 2.673 270.495 28.221 368.947 71.943 104.553 46.43 161.437 108.98 160.144 176.124-1.248 65.262-57.613 124.412-158.693 166.567-94.715 39.508-220.944 61.269-355.386 61.269m-39.085-431.16c-128.673 0-248.76 20.528-338.137 57.802-82.403 34.366-130.157 80.258-131.037 125.92-0.904 47.198 47.734 96.106 133.445 134.166 93.081 41.336 217.934 65.515 351.543 68.075 7.702 0.152 15.512 0.224 23.224 0.224h0.046c128.648 0 248.713-20.528 338.087-57.796 82.392-34.364 130.153-80.26 131.03-125.926 0.906-47.205-47.732-96.111-133.44-134.162-93.09-41.346-217.94-65.518-351.546-68.08a1224.355 1224.355 0 0 0-23.214-0.223'/><path d='M756.943 1005.515c-59.176 0-131.026-32.34-207.793-93.514-75.843-60.441-149.83-143.674-213.94-240.688-76.91-116.372-130.195-238.778-150.027-344.65-21.076-112.447-1.83-194.769 54.203-231.8C259.528 81.556 283.423 74.8 310.392 74.8c59.177 0 131.035 32.332 207.792 93.514 75.848 60.446 149.832 143.676 213.941 240.694C809.03 525.382 862.307 647.773 882.152 753.65c21.07 112.456 1.82 194.771-54.209 231.803-20.144 13.311-44.028 20.062-71 20.062M310.393 119.77c-18.002 0-33.549 4.246-46.209 12.614-39.39 26.032-52.073 93.829-34.802 186 18.758 100.116 69.668 216.65 143.35 328.13 61.543 93.136 132.243 172.772 204.446 230.318 67.73 53.982 131.58 83.713 179.766 83.713 18 0 33.55-4.247 46.205-12.606 39.388-26.034 52.08-93.831 34.798-186.008-18.754-100.11-69.662-216.642-143.339-328.127-61.548-93.135-132.243-172.777-204.45-230.319-67.738-53.98-131.576-83.715-179.766-83.715'/><path d='M336.247 1022.571c-21.815 0-41.914-4.884-59.874-14.774-58.847-32.38-84.69-112.869-72.783-226.66 11.211-107.126 54.414-233.438 121.658-355.652 73.393-133.382 167.843-246.712 259.133-310.93 10.16-7.147 24.19-4.707 31.334 5.448 7.145 10.163 4.707 24.185-5.456 31.332-85.885 60.418-175.404 168.245-245.604 295.836-64.417 117.082-105.735 237.347-116.342 338.652-9.757 93.266 8.37 159.819 49.734 182.574 41.363 22.758 107.278 2.454 180.845-55.713 79.893-63.172 159.371-162.448 223.786-279.529 70.2-127.587 113.367-260.914 118.428-365.804 0.605-12.404 11.138-21.978 23.546-21.378 12.402 0.6 21.976 11.14 21.38 23.544-5.38 111.497-50.557 251.94-123.949 385.319-67.24 122.217-150.808 226.318-235.3 293.128-62.346 49.294-120.885 74.607-170.536 74.607'/><path d='M655.307 113.592c0 29.6 12.182 59.013 33.111 79.95 20.93 20.929 50.348 33.11 79.952 33.11 29.602 0 59.014-12.181 79.945-33.11 20.934-20.937 33.112-50.352 33.112-79.95 0-29.602-12.178-59.021-33.112-79.95C827.385 12.717 797.972 0.528 768.371 0.528c-29.604 0-59.023 12.189-79.952 33.112-20.93 20.93-33.11 50.349-33.11 79.95'/></g></svg>");
}

.icon.chat {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M950.52646438 286.32320001a414.72000001 414.72000001 0 0 0-101.7216-133.51680001 458.84159999 458.84159999 0 0 0-152.448-89.0112 550.5792 550.5792 0 0 0-368.64 0 601.1904 601.1904 0 0 0-152.6016 89.0112A496.8192 496.8192 0 0 0 73.39366437 286.32320001a391.68 391.68 0 0 0-38.1312 165.12 383.1552 383.1552 0 0 0 50.8416 184.32 447.09120002 447.09120002 0 0 0 127.1424 139.8528v216.15359999l209.8176-127.14240001a419.67359999 419.67359999 0 0 0 89.0112 6.37440002 590.6688 590.6688 0 0 0 184.32-31.79520002 458.84159999 458.84159999 0 0 0 152.6016-89.0112 414.72000001 414.72000001 0 0 0 101.7216-133.51679999 370.90559999 370.90559999 0 0 0 38.1312-165.12 391.68 391.68 0 0 0-38.1312-165.12z m-673.91999999 591.36v-133.63199999a404.6592 404.6592 0 0 1-127.14240001-127.14240002 315.1104 315.1104 0 0 1-50.88-165.12 346.48320001 346.48320001 0 0 1 31.79520001-139.8528 310.69440002 310.69440002 0 0 1 89.01119999-114.432 466.36800001 466.36800001 0 0 1 292.4544-101.72159999 480 480 0 0 1 292.4544 101.72159999 310.7328 310.7328 0 0 1 89.0112 114.432 323.59679999 323.59679999 0 0 1 0 279.74400002 310.7328 310.7328 0 0 1-89.0112 114.43199999 421.0176 421.0176 0 0 1-292.4544 101.72159999 633.94560001 633.94560001 0 0 1-101.7216-12.71039999l-133.51679999 82.6368z m235.23839999-362.38080001a63.5904 63.5904 0 1 0-63.5904-63.5904 60.0576 60.0576 0 0 0 63.5904 63.47520001zM276.60646439 388.15999999a63.70559999 63.70559999 0 0 0-63.59040001 63.59040002 60.0576 60.0576 0 0 0 63.59039999 63.5904 63.70559999 63.70559999 0 0 0 63.5904-63.5904 74.112 74.112 0 0 0-63.5904-63.70560001z m470.47679999 127.14240001A63.70559999 63.70559999 0 0 0 810.67366437 451.712a60.0576 60.0576 0 0 0-63.59039999-63.5904 63.5904 63.5904 0 1 0 0 127.14240001z'/></g></svg>");
}

.icon.office {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M884.18645333 226.17998223H752.70599111v-50.03946667a104.8576 104.8576 0 0 0-104.8576-104.8576H380.63672889a104.8576 104.8576 0 0 0-104.8576 104.8576v50.03946667H144.35783111a104.8576 104.8576 0 0 0-104.8576 104.8576v505.87989333a104.8576 104.8576 0 0 0 104.8576 104.8576h739.82862222a104.8576 104.8576 0 0 0 104.8576-104.8576v-505.87875556a104.8576 104.8576 0 0 0-104.8576-104.8576z m-538.50225778-50.03946667a34.95253333 34.95253333 0 0 1 34.95253334-34.95253333h267.21166222a34.95253333 34.95253333 0 0 1 34.95253334 34.95253333v50.03946667H345.68419555zM144.35783111 296.08391112h739.82862222a34.95253333 34.95253333 0 0 1 34.95253334 34.95253333v86.62471111h-809.73368889V331.03644445a34.95253333 34.95253333 0 0 1 34.95253333-34.95253333z m438.82951111 191.48231111a77.18684445 77.18684445 0 0 1-137.8304 0z m300.99911111 384.47786666h-739.82862222a34.95253333 34.95253333 0 0 1-34.95253333-34.95253333v-349.52533333H371.2a147.26712889 147.26712889 0 0 0 286.08625778 0h261.85272889v349.52533333a34.95253333 34.95253333 0 0 1-34.95253334 34.77731556z'/></g></svg>");
}

.icon.read {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M653.61764727 962H112.69117637A50.82352911 50.82352911 0 0 1 62 911.30882363V370.38235273A308.64705908 308.64705908 0 0 1 370.38235273 62h540.92647092A50.82352911 50.82352911 0 0 1 962 112.69117637V653.61764727A308.64705908 308.64705908 0 0 1 653.61764727 962zM114.94117637 909.05882363h538.6764709A255.70588273 255.70588273 0 0 0 909.05882363 653.61764727V114.94117637H370.38235273A255.70588273 255.70588273 0 0 0 114.94117637 370.38235273z'/><path d='M287 353.1764709h357.35294092'/><path d='M644.35294092 379.64705908H287a26.47058818 26.47058818 0 0 1 0-52.94117638h357.35294092a26.47058818 26.47058818 0 0 1 0 52.94117638z'/><path d='M287 512h463.23529453'/><path d='M750.23529453 538.47058818H287a26.47058818 26.47058818 0 0 1 0-52.94117636h463.23529453a26.47058818 26.47058818 0 0 1 0 52.94117636z'/><path d='M287 670.8235291h330.88235274'/><path d='M617.88235274 697.29411728H287a26.47058818 26.47058818 0 0 1 0-52.94117636h330.88235274a26.47058818 26.47058818 0 0 1 0 52.94117636z'/></g></svg>");
}

.icon.learn {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M874.30000001 431.6l94.19999997-40.4c36.50000001-15.4 53.2-57.6 37.80000001-94.2-7-16-19.90000001-29.50000001-35.89999999-36.50000001L541.90000002 63.29999999c-9.6-4.50000001-19.2-6.4-30.10000002-6.39999997-9.6 0-19.2 1.90000002-28.2 5.79999999L53.8 260.6C18 277.2 1.89999999 319.49999999 18.6 355.4c7.70000001 16 20.50000001 28.8 36.50000001 35.90000001l94.2 40.39999998v320.90000001c1.30000001 25.60000001 16.70000001 48.70000001 39.09999999 60.2l290.8 146.70000001 3.8 1.89999999c9 3.8 18.6 5.8 28.2 5.8 10.90000001 0 22.4-2.6 32-7.70000001L834 812.69999999l3.8-1.89999999c22.4-12.8 35.90000001-36.50000001 35.90000001-62.10000001V432.2c0.6 0.10000001 0.6 0.10000001 0.59999998-0.6z m-362.50000001-310L955 325.89999999 511.8 516.20000001 68.6 325.89999999l443.2-204.29999999z m0 780.8L214.6 752.50000001V459.19999999l269 115.30000002c9 3.8 18.6 5.8 28.2 5.79999998s19.2-1.90000002 28.2-5.8l269-115.29999998v293.39999999L511.8 902.4z'/><path d='M935.2 673.10000002c0 3.2 0.6 6.4 1.90000001 8.99999997 3.8 7 10.90000001 11.50000001 18.6 11.50000001 3.2 0 6.4-0.6 9-1.90000001 21.80000001-10.90000001 35.2-32.70000001 35.19999998-57.6V454.69999999l-65.29999999 32.70000001v185.8h0.6z'/></g></svg>");
}

.icon.tool {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M241.11786667 86.38008889a313.84462222 313.84462222 0 0 1 429.33361778 392.99754666l-0.50972445 1.45635556 260.03228445 260.10510222c51.99189333 51.99189333 52.57443555 135.95079111 1.6019911 188.59804445l-1.6019911 1.60199111a134.49443555 134.49443555 0 0 1-188.59804445 1.52917333l-1.60199111-1.52917333-260.10510222-260.10510222-1.45635556 0.58254222A313.84462222 313.84462222 0 0 1 149.36746667 602.29404445l-2.83989334-2.76707556a313.84462222 313.84462222 0 0 1-61.23975111-357.24401778 36.40888889 36.40888889 0 0 1 58.03576889-10.55857778l0.50972444 0.50972445 151.24252445 151.16970667h87.23569778V296.16810667L231.06901333 144.9984a36.40888889 36.40888889 0 0 1 9.46631112-58.25422222l0.65536-0.36408889zM546.95253333 199.17482667a241.02684445 241.02684445 0 0 0-223.18648888-64.80782222l-0.14563556 0.07281777 120.87751111 120.87751111a36.40888889 36.40888889 0 0 1 10.70421333 25.19495112v139.30040888a36.40888889 36.40888889 0 0 1-35.82634666 36.40888889H277.59957333a36.26325333 36.26325333 0 0 1-10.63139555-2.33016889l-0.72817778-0.29127111-0.50972445-0.21845333a36.11761778 36.11761778 0 0 1-0.50972444-0.21845334l-0.50972444-0.2912711a36.19043555 36.19043555 0 0 1-8.15559112-5.09724445l-0.72817777-0.72817778-0.29127111-0.21845333-0.43690667-0.43690667-0.50972445-0.43690667-0.36408888-0.36408888-120.87751112-120.87751112-0.07281777 0.14563556a241.02684445 241.02684445 0 0 0 62.62328889 221.00195556l2.18453333 2.18453333a241.02684445 241.02684445 0 0 0 271.53749333 48.35100445l2.76707556-1.31072a36.40888889 36.40888889 0 0 1 41.06922666 6.69923555l0.3640889 0.36408889 277.43573333 277.43573333a61.67665778 61.67665778 0 0 0 87.96387555-86.43470222l-0.72817778-0.72817778-277.43573333-277.43573333a36.40888889 36.40888889 0 0 1-7.28177777-40.99640889l0.14563555-0.50972445a241.02684445 241.02684445 0 0 0-47.04028445-274.30456888z'/></g></svg>");
}

aside .add,
.pop .add i {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M480 480V128a32 32 0 0 1 64 0v352h352a32 32 0 1 1 0 64H544v352a32 32 0 1 1-64 0V544H128a32 32 0 0 1 0-64h352z'/></g></svg>");
}

aside nav {
  flex: 1 1 0%;
  overflow: hidden auto;
}

aside header {
  margin: 40px 0px;
  cursor: pointer;
}

aside footer {
  cursor: pointer;
  height: var(--icon_size);
}

aside footer .icon,
.pop .config i {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M600.704 64a32 32 0 0 1 30.464 22.208l35.2 109.376c14.784 7.232 28.928 15.36 42.432 24.512l112.384-24.192a32 32 0 0 1 34.432 15.36L944.32 364.8a32 32 0 0 1-4.032 37.504l-77.12 85.12a357.12 357.12 0 0 1 0 49.024l77.12 85.248a32 32 0 0 1 4.032 37.504l-88.704 153.6a32 32 0 0 1-34.432 15.296L708.8 803.904c-13.44 9.088-27.648 17.28-42.368 24.512l-35.264 109.376A32 32 0 0 1 600.704 960H423.296a32 32 0 0 1-30.464-22.208L357.696 828.48a351.616 351.616 0 0 1-42.56-24.64l-112.32 24.256a32 32 0 0 1-34.432-15.36L79.68 659.2a32 32 0 0 1 4.032-37.504l77.12-85.248a357.12 357.12 0 0 1 0-48.896l-77.12-85.248A32 32 0 0 1 79.68 364.8l88.704-153.6a32 32 0 0 1 34.432-15.296l112.32 24.256c13.568-9.152 27.776-17.408 42.56-24.64l35.2-109.312A32 32 0 0 1 423.232 64H600.64zm-23.424 64H446.72l-36.352 113.088-24.512 11.968a294.113 294.113 0 0 0-34.816 20.096l-22.656 15.36-116.224-25.088-65.28 113.152 79.68 88.192-1.92 27.136a293.12 293.12 0 0 0 0 40.192l1.92 27.136-79.808 88.192 65.344 113.152 116.224-25.024 22.656 15.296a294.113 294.113 0 0 0 34.816 20.096l24.512 11.968L446.72 896h130.688l36.48-113.152 24.448-11.904a288.282 288.282 0 0 0 34.752-20.096l22.592-15.296 116.288 25.024 65.28-113.152-79.744-88.192 1.92-27.136a293.12 293.12 0 0 0 0-40.256l-1.92-27.136 79.808-88.128-65.344-113.152-116.288 24.96-22.592-15.232a287.616 287.616 0 0 0-34.752-20.096l-24.448-11.904L577.344 128zM512 320a192 192 0 1 1 0 384 192 192 0 0 1 0-384zm0 64a128 128 0 1 0 0 256 128 128 0 0 0 0-256z'/></g></svg>");
}

aside footer:hover .icon {
  animation: rotate ease-in-out .4s;
}

aside nav div {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 4px 0px;
  height: 50px;
  cursor: pointer;
  transition: background 0.3s ease 0s;
  flex-direction: column;
}

aside p {
  padding: 4px 4px 0px;
  color: white;
}

aside nav .active {
  background-color: rgba(255, 255, 255, 0.15);
}

.add-page {
  border-radius: 14px;
  padding: 12px;
  line-height: 1.4;
  text-align: justify;
  z-index: 99;
  font-size: 14px;
  position: absolute;
  inset: 231px auto auto 51px;
  backdrop-filter: blur(18px);
  color: rgb(234, 234, 234);
  background-color: rgba(34, 34, 34, 0.5) !important;
  box-shadow: rgba(0, 0, 0, 0.18) 0px 12px 24px !important;
}

.add-page h4 {
  text-align: center;
  margin: 9px;
}

.add-page div {
  margin: 9px 0px;
}

.add-page .icons {
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  grid-auto-flow: dense;
  gap: 5px;
}

.add-page span {
  cursor: pointer;
  border-radius: 5px;
  padding: 5px 7px;
}

.add-page span:hover {
  background-color: rgba(255, 255, 255, 0.1);
}

.add-page span.active {
  background-color: rgba(255, 255, 255, 0.2);
}

.add-page input {
  margin-right: 22px;
  color: white;
  background-color: transparent;
}

.add-page .zbtn {
  background-color: transparent;
  color: white;
}

.wallpaper div {
  position: absolute;
  left: 0px;
  top: 0px;
  width: 100%;
  height: 100%;
  backdrop-filter: blur(var(--wall_blur));
  background-color: rgba(0, 0, 0, var(--wall_mask));
}

.datetime {
  text-align: center;
  margin-top: 3vh;
  color: white;
  transition: all 0.2s ease 0s;
}

.focusMode.datetime {
  margin-top: 13vh;
}

.app-time {
  display: inline-block;
  font-size: 70px;
  text-shadow: rgba(0, 0, 0, 0.16) 0px 2px 6px;
  user-select: none;
}

.app-time .col {
  vertical-align: 5px;
}

.app-date {
  font-size: 14px;
  line-height: 26px;
  text-shadow: rgba(0, 0, 0, 0.16) 0px 2px 4px;
}

.app-date span {
  margin: 0px 4px;
}

.search-box {
  position: relative;
  max-width: 600px;
  margin: 3vh auto 20px;
}

.search-engine {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  min-width: 50px;
  max-width: 50px;
  transition: all 0.2s ease 0s;
  position: relative;
}

.search-engine img {
  width: 20px;
  height: 20px;
}

.search-engine i {
  width: 12px;
  height: 12px;
  position: absolute;
  top: 50%;
  color: rgba(0, 0, 0, 0.2);
  margin-top: -5px;
  right: 2px;
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='gray'><path d='m192 384 320 384 320-384z'/></g></svg>");
}

.search-box input {
  color: rgb(34, 34, 34);
  background-color: transparent;
  font-size: 14px;
  height: 100%;
  width: 100%;
  line-height: 20px;
}

.search-box form {
  box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 10px 3px;
  position: relative;
  margin: 9px 0;
  backdrop-filter: blur(8px);
  display: flex;
  border-radius: 42px;
  height: 42px;
  background-color: rgba(255, 255, 255, 0.3);
  align-items: center;
  transition: all 0.2s ease 0s;
}

.search-box form:hover {
  background-color: rgba(255, 255, 255, 0.8);
}

.reset-icon {
  display: flex;
  cursor: pointer;
  transform: scale(0);
  transition: transform 0.2s ease 0s;
}

.search-icon {
  min-width: 50px;
  max-width: 50px;
  height: 100%;
  transition: all 0.2s ease 0s;
  position: relative;
}

.reset-icon.active {
  transform: scale(1);
}

.reset-icon i {
  width: 18px;
  height: 18px;
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='rgba(0, 0, 0,.52)'><path d='M764.288 214.592 512 466.88 259.712 214.592a31.936 31.936 0 0 0-45.12 45.12L466.752 512 214.528 764.224a31.936 31.936 0 1 0 45.12 45.184L512 557.184l252.288 252.288a31.936 31.936 0 0 0 45.12-45.12L557.12 512.064l252.288-252.352a31.936 31.936 0 1 0-45.12-45.184z'/></g></svg>");
}

.search-icon i {
  width: 20px;
  height: 20px;
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'><g fill='none' stroke='rgba(0, 0, 0,.52)' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'><circle cx='10' cy='10' r='7'/><path d='M21 21l-6-6'/></g></svg>");
}

.searchEngines,
.suggestion {
  backdrop-filter: blur(15px);
  transition: all 0.2s ease 0s;
  background-color: rgba(255, 255, 255, 0.7);
  box-shadow: rgba(0, 0, 0, 0.16) 0px 0px 10px 3px;
  border-radius: 20px;
  overflow: hidden;
  padding: 9px;
  position: absolute;
  left: 0px;
  right: 0px;
  z-index: 10;
}

.suggestion div {
  position: relative;
  cursor: pointer;
  color: rgba(0, 0, 0, 0.8);
  height: 30px;
  line-height: 33px;
  font-size: 14px;
}

.suggestion div:hover {
  background-color: rgba(255, 255, 255, 0.2);
}

.suggestion i {
  display: inline-block;
  width: 16px;
  height: 16px;
  margin: 0px 9px;
  vertical-align: -3px;
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'><g fill='none' stroke='gray' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'><circle cx='10' cy='10' r='7'></circle><path d='M21 21l-6-6'></path></g></svg>");
}

.searchEngines div {
  width: 64px;
  padding: 6px 0px;
  display: inline-block;
  cursor: pointer;
  position: relative;
  transition: background 0.2s ease 0s;
  border-radius: 8px;
}

.searchEngines div:hover {
  background-color: rgba(255, 255, 255, 0.5);
}

.searchEngines p {
  font-size: 12px;
  line-height: 22px;
  text-align: center;
}

.searchEngines img,
.Msearch img {
  width: 20px;
  height: 20px;
  display: inline-block;
  vertical-align: middle;
}

.searchEngines i {
  width: 12px;
  height: 12px;
  display: block;
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M764.288 214.592 512 466.88 259.712 214.592a31.936 31.936 0 0 0-45.12 45.12L466.752 512 214.528 764.224a31.936 31.936 0 1 0 45.12 45.184L512 557.184l252.288 252.288a31.936 31.936 0 0 0 45.12-45.12L557.12 512.064l252.288-252.352a31.936 31.936 0 1 0-45.12-45.184z'/></g></svg>");
}

.searchEngines .logo,
.Msearch .logo {
  color: rgba(255, 255, 255, 0.8);
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 30px;
  margin: 0px auto;
  height: 36px;
  width: 36px;
  min-width: 36px;
  border-radius: 8px;
  transition: all 0.2s ease 0s;
  box-shadow: rgba(0, 0, 0, 0.05) 0px 0px 10px 3px;
}

.searchEngines .del {
  display: none;
  top: -3px;
  right: -3px;
  padding: 1px;
  position: absolute;
  box-shadow: rgba(0, 0, 0, 0.04) 0px 0px 4px 3px;
  border-radius: 50%;
  background: rgb(191, 191, 191);
}

.searchEngines div:hover .del {
  display: block;
}

.searchEngines div .del:hover {
  background: rgb(230, 40, 40);
}

.searchEngines .add i,
.Madd .diy .link.icon i {
  width: 18px;
  height: 18px;
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='green'><path d='M480 480V128a32 32 0 0 1 64 0v352h352a32 32 0 1 1 0 64H544v352a32 32 0 1 1-64 0V544H128a32 32 0 0 1 0-64h352z'/></g></svg>");
}

.Msearch .item {
  border-radius: 5px;
  line-height: 10px;
  padding: 10px;
  overflow: hidden;
  cursor: pointer;
  display: flex;
  flex-direction: row;
  position: relative;
  background-color: #f5f5f5;
}

.Msearch .zmodal {
  padding: 15px;
}

.Msearch .item p {
  white-space: nowrap;
  line-height: 20px;
  font-size: 14px;
}

.Msearch .item p:last-child {
  font-size: 12px;
  color: #939393;
}

.Msearch .logo {
  margin: 0px 9px 0px 0px;
}

.Msearch .item.active,
.Msearch .item:hover {
  background-color: rgba(72, 148, 255, 0.3);
}

.Msearch .list {
  display: grid;
  grid-auto-flow: row;
  grid-template-columns: repeat(2, 2fr);
  gap: 8px;
}

.Msearch .desc {
  color: #939393;
  font-size: 12px;
  margin: 8px 0px;
}

.Msearch .item .select {
  display: none;
  position: absolute;
  top: 9px;
  right: 9px;
  background-color: rgb(100, 100, 255);
  border-radius: 50%;
  padding: 2px;
}

.Msearch .active .select {
  display: block;
}

.history i {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'><g fill='grey'><path d='M11.99 2C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8s8 3.58 8 8s-3.58 8-8 8zm-.22-13h-.06c-.4 0-.72.32-.72.72v4.72c0 .35.18.68.49.86l4.15 2.49c.34.2.78.1.98-.24a.71.71 0 0 0-.25-.99l-3.87-2.3V7.72c0-.4-.32-.72-.72-.72z'/></g></svg>");
}

.history i:last-child {
  display: none;
  position: absolute;
  top: 9px;
  right: 2px;
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='gray'><path d='M764.288 214.592 512 466.88 259.712 214.592a31.936 31.936 0 0 0-45.12 45.12L466.752 512 214.528 764.224a31.936 31.936 0 1 0 45.12 45.184L512 557.184l252.288 252.288a31.936 31.936 0 0 0 45.12-45.12L557.12 512.064l252.288-252.352a31.936 31.936 0 1 0-45.12-45.184z'/></g></svg>");
}

.history div:hover i {
  display: inline-block;
}

main {
  overflow: auto;
  height: 76vh;
}

main::-webkit-scrollbar {
  width: 0;
  height: 0;
}

main::-webkit-scrollbar-thumb {
  border-radius: 0;
}

.grids {
  position: relative;
  display: grid;
  grid-template-columns: repeat(auto-fill, var(--icon_size));
  grid-template-rows: repeat(auto-fill, var(--icon_size));
  grid-gap: var(--icon_gap_x) var(--icon_gap_y);
  grid-auto-flow: dense;
  justify-content: center;
  padding: 10px 45px 45px;
  max-width: 1350px;
  min-height: 73vh;
  margin: auto;

}

.grid {
  margin: 0px auto;
  position: relative;
  grid-area: span 1 / span 1 / auto / auto;
  border-radius: var(--icon_radius);
  opacity: var(--icon_opacity);
  width: var(--icon_size);
  height: var(--icon_size);
}

.grid .link,
.grid .cpt {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
  color: #fff;
  border-radius: var(--icon_radius);
  box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 5px;
  transition: all 0.2s ease 0s;
  cursor: pointer;
  display: inline-block;
}

.grid>p {
  width: calc(100% + var(--icon_gap_y));
  margin-left: calc(var(--icon_gap_y) / 2 * -1);
  margin-top: 6px;
  text-align: center;
  color: var(--icon_name_color);
  font-size: var(--icon_name_size);
  line-height: 1.1;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  filter: drop-shadow(rgba(0, 0, 0, 0.8) 0px 2px 7px);
}

.grid>.del {
  z-index: 11;
  position: absolute;
  backdrop-filter: blur(10px);
  box-shadow: rgba(0, 0, 0, 0.2) 0px 0px 7px;
  right: 2px;
  top: -5px;
  height: 20px;
  width: 20px;
  border-radius: 50%;
  color: rgb(51, 51, 51);
  background-color: rgba(255, 255, 255, 0.4);
  display: none;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  transition: all 0.2s ease 0s;
}

.grid>.del:hover {
  background-color: rgb(216, 48, 48);
}

.grid>.del i {
  width: 14px;
  height: 14px;
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M195.2 195.2a64 64 0 0 1 90.496 0L512 421.504 738.304 195.2a64 64 0 0 1 90.496 90.496L602.496 512 828.8 738.304a64 64 0 0 1-90.496 90.496L512 602.496 285.696 828.8a64 64 0 0 1-90.496-90.496L421.504 512 195.2 285.696a64 64 0 0 1 0-90.496z'/></g></svg>");
}

.grid .link p {
  font-weight: bold;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.batchDel .grid>.del {
  display: flex;
}

.batchDel .grid>.cpt,
.batchDel .grid>.link {
  animation: 0.3s ease 0s infinite normal none running aswing;
  transform-origin: center 50px;
}

.s1x2 {
  grid-column: span 2 / auto;
  width: calc(var(--icon_size) * 2 + var(--icon_gap_y) * 1);
  height: var(--icon_size);
}

.s2x1 {
  grid-row: span 2 / auto;
  width: var(--icon_size);
  height: calc(var(--icon_size) * 2 + var(--icon_gap_x) * 1);
}

.s2x2,
.ssmall {
  grid-area: span 2 / span 2 / auto / auto;
  width: calc(var(--icon_size) * 2 + var(--icon_gap_y));
  height: calc(var(--icon_size) * 2 + var(--icon_gap_x));
}

.s2x4,
.smedium {
  grid-area: span 2 / span 4 / auto / auto;
  width: calc(var(--icon_size) * 4 + var(--icon_gap_y) * 3);
  height: calc(var(--icon_size) * 2 + var(--icon_gap_x));
}


.cpt-notes {
  background-color: white;
}

.cpt-notes .item {
  height: 24%;
  padding: 0px 6px;
  display: flex;
  align-items: center;
  color: rgb(34, 34, 34);
  border-bottom: 1px solid #f2f2f2;
}

.cpt-notes h2 {
  margin: 0px;
  height: 25%;
  font-weight: normal;
  background-image: linear-gradient(0deg, rgb(255, 201, 39), rgb(255, 164, 3));
}

.cpt-wallpaper>div {
  height: 100%;
}

.cpt-wallpaper>div>div {
  height: 100%;
  transition: all 1s ease 0s;
  background-size: cover;
  background-position: center center;
}

.cpt-wallpaper p {
  position: absolute;
  bottom: 0px;
  left: 0px;
  right: 0px;
  text-align: center;
  color: rgb(255, 255, 255);
  height: 40px;
  padding: 0px 10px;
  background-image: linear-gradient(transparent, rgba(0, 0, 0, 0.8));
  line-height: 40px;
}

.cpt-wallpaper span {
  position: absolute;
  right: 3px;
  width: 24px;
  height: 24px;
  display: inline-block;
  transition: all 0.2s ease 0s;
  text-align: center;
  line-height: 27px;
  border-radius: 50%;
  z-index: 9;
}

.cpt-wallpaper span:hover {
  background-color: rgb(0, 0, 0);
}

.cpt-wallpaper i {
  width: 14px;
  height: 14px;
  display: inline-block;
}

.cpt-wallpaper .download {
  top: 5px;
}

.cpt-wallpaper .download i {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 1024 1024'><g fill='white'><path d='M160 832h704a32 32 0 1 1 0 64H160a32 32 0 1 1 0-64zm384-253.696 236.288-236.352 45.248 45.248L508.8 704 192 387.2l45.248-45.248L480 584.704V128h64v450.304z'/></g></svg>");
}

.cpt-wallpaper .select {
  top: 35px;
}

.cpt-wallpaper .select i {
  background-image: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12'><g fill='white'><path d='M9.765 3.205a.75.75 0 0 1 .03 1.06l-4.25 4.5a.75.75 0 0 1-1.075.015L2.22 6.53a.75.75 0 0 1 1.06-1.06l1.705 1.704l3.72-3.939a.75.75 0 0 1 1.06-.03z'/></g></svg>");
}

.cpt-todayShici div {
  padding: 5px;
  height: calc(100% - 15px);
  color: black;
  background-color: rgb(255, 255, 255);
  display: flex;
  flex-flow: wrap;
  align-items: center;
  justify-content: center;
  max-width: 100%;
}

.cpt-todayShici p {
  font-size: 0.9em;
}

.cpt-todayShici p:nth-child(2) {
  font-size: 1.2em;
}

.cpt-todayShici img {
  position: absolute;
  left: 0px;
  bottom: 0px;
  height: auto;
}

.cpt-topsearch>div {
  padding: 12px;
  height: calc(100% - 20px);
  background-image: linear-gradient(135deg, rgba(20, 20, 20, 0.7), rgba(20, 20, 20, 0.4));
  backdrop-filter: blur(5px);
}

.cpt-topsearch span {
  padding: 2px 4px;
  margin-right: 6px;
  border-radius: 2px;
}

.cpt-topsearch span.active {
  background-color: rgba(255, 255, 255, 0.2);
}

.cpt-topsearch>div>div {
  margin: 12px 0px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.cpt-topsearch a {
  color: white;
}

.cpt-topsearch a:hover {
  opacity: 0.8;
}

.cpt-exchangerate {
  background-color: white;
  color: black;
}

.cpt-exchangerate>div>div {
  padding: 5.5px 10px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: rgb(34, 34, 34);
}

.cpt-exchangerate section {
  display: flex;
  align-items: center;
}

.cpt-exchangerate p:last-child {
  opacity: 0.6;
}

.cpt-exchangerate img {
  width: 1.5em;
  height: 1.5em;
  border-radius: 0.3em;
  margin-right: 1em;
}

.cpt-worldClock>div {
  background-color: black;
  display: flex;
  flex-flow: wrap;
  align-items: center;
  justify-content: center;
  text-align: center;
  height: 100%;
}

.cpt-worldClock>div>div {
  width: 25%;
  height: 80%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-around;
}

.cpt-worldClock section {
  position: relative;
  font-size: 2.8px;
  width: 84px;
  height: 84px;
  box-sizing: content-box;
  background-color: #fff;
  color: #343436;
  border-radius: 50%;
  transform: scale(0.9);
}

.cpt-worldClock .digit {
  font-size: 1.6em;
  display: block;
  width: 1.6em;
  height: 1.6em;
  position: absolute;
  top: 50%;
  left: 50%;
  line-height: 1.6em;
  text-align: center;
  margin: -0.8em 0px 0px -0.8em;
  font-weight: 700;
}

.cpt-worldClock .digit:nth-child(1) {
  transform: translate(3.9em, -6.9em);
}

.cpt-worldClock .digit:nth-child(2) {
  transform: translate(6.9em, -4em);
}

.cpt-worldClock .digit:nth-child(3) {
  transform: translate(8em);
}

.cpt-worldClock .digit:nth-child(4) {
  transform: translate(6.8em, 4em);
}

.cpt-worldClock .digit:nth-child(5) {
  transform: translate(3.9em, 6.9em);
}

.cpt-worldClock .digit:nth-child(6) {
  transform: translateY(8em);
}

.cpt-worldClock .digit:nth-child(7) {
  transform: translate(-3.9em, 6.9em);
}

.cpt-worldClock .digit:nth-child(8) {
  transform: translate(-6.8em, 4em);
}

.cpt-worldClock .digit:nth-child(9) {
  transform: translate(-8em);
}

.cpt-worldClock .digit:nth-child(10) {
  transform: translate(-6.9em, -4em);
}

.cpt-worldClock .digit:nth-child(11) {
  transform: translate(-3.9em, -6.9em);
}

.cpt-worldClock .digit:nth-child(12) {
  transform: translateY(-8em);
}

.cpt-worldClock .point {
  position: absolute;
  left: 50%;
  top: 50%;
  width: 0px;
  height: 0px;
}

.cpt-worldClock .point::before {
  content: "";
  position: absolute;
  z-index: 1;
  left: 50%;
  top: 50%;
  width: 10px;
  height: 10px;
  transform: translate(-50%, -50%);
  border-radius: 5px;
  background-color: rgb(52, 52, 54);
}

.cpt-worldClock i {
  position: absolute;
  width: 2px;
  bottom: 0px;
  left: 50%;
  transform-origin: center bottom;
  background-color: rgb(52, 52, 54);
  border-radius: 1px;
  margin-left: -1px;
}

.cpt-worldClock .hour {
  height: 9em;
}

.cpt-worldClock .minute {
  height: 12em;
}

.cpt-worldClock .second {
  height: 14em;
  width: 1px;
  background-color: rgb(251, 126, 1);
}

.cpt-worldClock p:last-child {
  opacity: 0.7;
}

.cpt-caihongpi {
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center center;
  background-image: url("https://b.zccdn.cn/e6/p/彩虹屁/彩虹屁背景01.jpg");
}

.cpt-caihongpi::before {
  content: "";
  position: absolute;
  background: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 20, 0, 0.7));
  inset: 0px;
  opacity: 0.8;
  z-index: 0;
}

.cpt-caihongpi div {
  padding: 0px 10px;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}

.cpt-caihongpi p {
  line-height: 1.4;
  position: relative;
  transition: all 1s ease 0s;
  z-index: 1;
}

.cpt-clock {
  background: rgb(17, 17, 17);
}

.cpt-clock>div {
  text-align: center;
  height: 100%;
  padding: 1.7em 0px;

}

.cpt-clock>div>div {
  font-weight: 700;
}

.cpt-clock .col {
  vertical-align: 0.08em;
}

.cpt-daysMatter>div {
  height: calc(100% - 30px);
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-direction: column;
  padding: 15px;
}

.cpt-daysMatter strong {
  font-size: 3em;
}

.zp116_dropClass {
  background-color: transparent !important;
}

.s1x1 .cpt-daysMatter>div {
  padding: 5px 0px 25px;
  white-space: nowrap;
}

.s1x1 .cpt-daysMatter strong {
  font-size: 2em;
}

.s1x1 .cpt-daysMatter span,
.s1x1 .cpt-daysMatter>div>div:last-child {
  display: none;
}

.s2x4 .cpt-exchangerate>div>div {
  width: 41%;
  display: inline-flex;
}

.s2x2 .cpt-clock>div {
  padding: 3em 0px;
}

.s2x2 .cpt-clock>div>div {
  font-size: 3em;
}

.s1x1 .cpt-clock p,
.s1x2 .cpt-clock p {
  display: none;
}

.s1x1 .cpt-clock .second,
.s2x2 .cpt-clock .second {
  display: none;
}

@media screen and (max-width: 568px) {
  .grids {
    padding: 10 5px !important;
  }

  aside {
    display: none;
  }
}

@keyframes rotate {
  0% {
    transform: rotate(120deg)
  }
}
